MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001384XdebugInstallationpublic2017-01-03 14:212017-01-11 20:21
ReporterRQuadling 
Assigned Toderick 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDocker (phusion/baseimage)OSOS Version
Product Version2.5.0 
Target Version2.5.1Fixed in Version2.6.0dev 
Summary0001384: Big red warning during build process
DescriptionBuilding my PHP container with xDebug enabled and I get a warning..

In file included from /xdebug-2.5.0/xdebug_handlers.h:23:0,
                 from /xdebug-2.5.0/php_xdebug.h:33,
                 from /xdebug-2.5.0/xdebug_handler_dbgp.c:35:
/xdebug-2.5.0/xdebug_handler_dbgp.c: In function 'send_message':
/xdebug-2.5.0/xdebug_com.h:42:23: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
 #define SSENDL(a,b,c) write(a,b,c)
                       ^
/xdebug-2.5.0/xdebug_handler_dbgp.c:266:2: note: in expansion of macro 'SSENDL'
  SSENDL(context->socket, tmp->d, tmp->l);
  ^
Steps To ReproduceUsing the following command in my Dockerfile ...

RUN \
  echo 'Installing Xdebug' && \
  wget http://xdebug.org/files/$XDEBUG_VERSION [^] -O xdebug.tgz && \
  tar xzf xdebug.tgz && \
  rm -f xdebug.tgz && \
  cd xdebug-*/ && \
  phpize && \
  ./configure --with-php-config=/usr/bin/php-config && \
  make && \
  export TEST_PHP_ARGS='-n' && \
  make test && \
  make install && \
  cd .. && \
  rm -Rf xdebug-*/
Additional InformationxDebug works as expected, so really this is a 'just in case it is important and/or specific to an environment' sort of thing.
TagsNo tags attached.
Operating System
PHP Version7.0.10-7.0.14
Attached Files

- Relationships

-  Notes
(0004110)
derick (administrator)
2017-01-03 15:28

Not particularly important, but the fix is easy too.
(0004153)
derick (administrator)
2017-01-04 11:01

I can't reproduce this. With which GCC version is this (run gcc --version)?
(0004166)
RQuadling (reporter)
2017-01-09 15:08

'docker' exec -it php bash
root@71d04c38b05e:/var/www/app# gcc --version
gcc (Ubuntu 5.4.0-6ubuntu1~16.04.4) 5.4.0 20160609
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
(0004167)
RQuadling (reporter)
2017-01-09 15:11

Using phusion/baseimage:latest as the base image to build from.

docker images reports
phusion/baseimage latest c39664f3d4e5 6 months ago 225.6 MB
(0004171)
derick (administrator)
2017-01-11 19:04

I still can not reproduce this with gcc 5.4 - can you give me *all* the steps necessary to reproduce this? Assume I have docker installed, but that I don't know how to use it.
(0004172)
derick (administrator)
2017-01-11 20:21

I could reproduce this on Ubuntu 16.04 with GCC 5.4, and have now made a PR: https://github.com/xdebug/xdebug/pull/320 [^] that will make it into 2.6.0dev.

- Issue History
Date Modified Username Field Change
2017-01-03 14:21 RQuadling New Issue
2017-01-03 15:28 derick Note Added: 0004110
2017-01-03 15:28 derick Status new => confirmed
2017-01-03 15:28 derick Target Version => 2.5.1
2017-01-04 11:01 derick Note Added: 0004153
2017-01-04 11:01 derick Assigned To => derick
2017-01-04 11:01 derick Status confirmed => feedback
2017-01-09 15:08 RQuadling Note Added: 0004166
2017-01-09 15:08 RQuadling Status feedback => assigned
2017-01-09 15:11 RQuadling Note Added: 0004167
2017-01-11 19:04 derick Note Added: 0004171
2017-01-11 19:04 derick Status assigned => feedback
2017-01-11 20:21 derick Note Added: 0004172
2017-01-11 20:21 derick Status feedback => resolved
2017-01-11 20:21 derick Fixed in Version => 2.6.0dev
2017-01-11 20:21 derick Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker